Gecode::Int::Extensional::StateGroupByGroup Class Reference

Sort groups stated by group and then state. More...

## Public Member Functions

bool | operator() (const StateGroup &x, const StateGroup &y)

## Static Public Member Functions

static void | sort (StateGroup sg[], int n)

## Detailed Description

Sort groups stated by group and then state.

Definition at line 116 of file dfa.cpp.

## Member Function Documentation

## operator()()

bool Gecode::Int::Extensional::StateGroupByGroup::operator() | ( | const StateGroup & | x,
|  | const StateGroup & | y )

inline

Definition at line 119 of file dfa.cpp.

## sort()

void Gecode::Int::Extensional::StateGroupByGroup::sort | ( | StateGroup | sg[],
|  | int | n )

inline static

Definition at line 124 of file dfa.cpp.

The documentation for this class was generated from the following file:

- gecode/int/extensional/dfa.cpp